%define name    twinkle 
%define version 0.7.1
%define release 1pnut.clint

Name:           %{name} 
Summary:        SIP soft phone for your voice over IP communcations 
Version:        %{version} 
Release:        %{release} 
Source0:        http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.gz 
Source1:        %{name}-%{version}.tar.gz 
URL:            http://www.twinklephone.com/ 
Packager:	Clint Canada <clintcan@yahoo.com>
Group:          Networking/Instant messaging
BuildRoot:      /tmp/%{name}-%{version}-%{release}-buildroot 
License:        GPL 
Requires:       libX11.so.6 libqt-mt.so.3 libkdecore.so.4 libccrtp1-1.3.so.0 libccgnu2-1.3.so.1 libsndfile.so.1 libspeex.so.1
Conflicts:	twinkle-nokde 
AutoReqProv:	no

%description
Twinkle is a soft phone for your voice over IP communcations
using the SIP protocol. You can use it for direct IP phone
to IP phone communication or in a network using a SIP proxy
to route your calls.

%prep 
%setup -q -a 1 

%build 
%configure 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
# menu entry
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%name << EOF
?package(%name):\ 
needs="x11"\ 
section="Networking/Instant messaging"\ 
title="Twinkle"\ 
longtitle="VoIP Softphone"\ 
icon="/usr/share/twinkle/twinkle32.png"\ 
command="%name" 
EOF

%clean 
rm -rf $RPM_BUILD_ROOT 

%post 
%{update_menus} 

%postun 
%{clean_menus} 

%files 
%defattr(-,root,root) 
%doc README NEWS COPYING AUTHORS 
%{_datadir}/twinkle/*
%{_menudir}/twinkle
%{_bindir}/twinkle  

%changelog 
* Wed Jul 05 2006 Clint Canada <clintcan@yahoo.com> 0.7.1-1pnut.clint
  - spec file modified for pclinuxos/pnutproject

* Mon May 08 2006 squall38 <squall38@rpgameplace.de> 0.7.1-1mdk2006.rpgp
 - Menu entry generated by spec file now

New version 0.7.1 (bugfix release) changes:
 - Check that --call and --cmd arguments are not empty
 - When DTMF transport is "inband", then do not signal RFC2833
   support in SDP

New version 0.7.1 (bugfix release) fixes:
 - CLI and non-KDE version hang when stopping ring tone
 - The GUI allowed payload type 96-255 for DTMF and Speex, while
   maximum value is only 127
 - When a dynamic codec change takes place at the same time as a
   re-INVITE Twinkle sometimes freezes.
 - Sending RFC 2833 DTMF events fails when codec is speex-wb or
   speex-uwb

* Mon May 01 2006 squall38 <squall38@rpgameplace.de> 0.7-1mdk2006.rpgp
New version 0.7 changes:

- Speex support (narrow, wide and ultra wide band)
- Support for dynamic payload numbers for audio codecs in SDP
- Inband DTMF (option for DTMF transport in user profile)
- UTF-8 support to properly display non-ASCII characters
- --cmd command line option to remotely execute CLI commands
- --immediate command line option to perform --call and --cmd without
  user confirmation.
- --set-profile command line option to set the active profile.
- Support "?subject=" as part of address for --call
- The status icon are always displayed: gray -> inactive, full color
  -> active
- Clicking the registration status icon fetches current registration
  status
- Clicking the service icons enables/disables the service
- Fancier popup from KDE system tray on incoming call.
- Popup from system tray shows as long as the phone is ringing.
- Reload button on address form
- Remove special phone number symbols from dialed strings.
  This option can be enabled/disabled via the user profile.
- Remove duplicate entries from the dial history drop down box
- Specify in the user profile what symbols are special symbols to
  remove.
- Changed default for "use domain to create unique contact header
  value" to "no"
- New SIP protocol option: allow SDP change in INVITE responses
- Do not ask username and password when authentication for an
  automatic re-regsitration fails. The user may not be at his desk,
  and the authentication dialog stalls Twinkle.
- Ask authentication password when user profile contains
  authentication name, but no password.
- Improved handling of socket errors when interface goes down
  temporarily.

New version 0.7 bugfixes:
- If the far end holds a call and then resumes a call while Twinkle has
  been put locally on-hold, then Twinkle will start recording sound from
  the mic and send it to the far-end while indicating that the call is
  still on-hold.
- Crash on no-op SDP in re-INVITE
- Twinkle exits when it receives SIGSTOP followed by SIGCONT
- call release cause in history is incorrect for incoming calls.

* Sat Mar 03 2006 squall38 <squall38@rpgameplace.de> 0.6.2-1mdk2006
- New version 0.6.2 changes:
  - If the URI in a received To-header is not enclosed by '', then 
    the tag parameter is erronesouly parsed as a URI parameter
    instead of a header parameter. This causes failing call setup,
    tear down, when communicating with a far-end that does not
    enclose the URI in angle brackets in the To-header.
  - Function to flush OSS buffers flushed a random amount of samples
    that could cause sound clipping (at start of call and after call
    hold) when using OSS.
  - In some cases Twinkle added "user=phone" to a URI when the URI
    already had a user parameter.
- Fixed install on an official 2006.0 without any updates

* Sun Feb 12 2006 squall38 <squall38@rpgameplace.de> 0.6.1-2mdk2006
- rpmlint error fix

* Sat Feb 12 2006 squall38 <squall38@rpgameplace.de> 0.6.1-1mdk2006
- New version 0.6.1 changes:
  - action=autoanswer added to call script actions
  - Performance improvement of --call parameter
  - Synchronized dial history drop downs on main window and call dialog
  - Dial history drop down lists are stored persistently
  - Redial information is stored persistently
  Bug fixes:
  - When using STUN Twinkle freezes when making a call and the STUN
    server does not respond within 200 ms (since version 0.2)
  - Some malformed SIP messages triggered a memory leak in the
    parser code generated by bison (since version 0.1)
  - The lexical scanner jammed on rubbish input (since version 0.1)

* Mon Feb 06 2006 squall38 <squall38@rpgameplace.de> 0.6-1mdk2006
- New version 0.6
- New package twinkle-nokde compiled without KDE

* Sun Dec 04 2005 squall38 <squall38@rpgameplace.de> 0.4.2-1mdk2006
- First build
